#!../../bin/linux-x86_64/CaenA2620Test

###############################################################################
# Set up environment
epicsEnvSet("P","$(P=caenA2620:)")
epicsEnvSet("CAEN_A2620","$(CAEN_A2620=192.168.1.51:10001)")
< envPaths
cd "${TOP}"

###############################################################################
# Register all support components
dbLoadDatabase "dbd/CaenA2620Test.dbd"
CaenA2620Test_registerRecordDeviceDriver pdbbase

###############################################################################
# Set up ASYN ports
devCaenA2620Configure("L0","$(CAEN_A2620)",0x1)
asynSetTraceIOMask("L0_UDP",-1,0x2)
#asynSetTraceMask("L0_UDP",-1,0x9)

###############################################################################
# Load record instances
dbLoadRecords "db/devCaenA2620.db" "P=$(P),R=1:,PORT=L0"
dbLoadRecords "db/asynRecord.db" "P=$(P),R=asyn,PORT=L0_UDP,ADDR=0,OMAX=0,IMAX=0"

###############################################################################
# Start IOC
cd ${TOP}/iocBoot/${IOC}
iocInit
