#!/bin/sh

case "$#" in
    0)  P="caenA2620:"  R="1:"   ;;
    1)  P="$1"          R="1:"   ;;
    2)  P="$1"          R="$2"   ;;
    *)  echo "Usage: $0 [P [R]]" >&2 ; exit 1 ;;
esac

camonitor     \
          "${P}${R}CurrentRBV"          \
          "${P}${R}SetpointRBV"         \
          "${P}${R}Setpoint"            \
          "${P}${R}CrowbarStatus"       \
          "${P}${R}DCunderVStatus"      \
          "${P}${R}FETovertempStatus"   \
          "${P}${R}HwFaultStatus"       \
          "${P}${R}InputOverIStatus"    \
          "${P}${R}InterlockStatus"     \
          "${P}${R}OnOffStatus"         \
          "${P}${R}ShuntOvertempStatus" \
          "${P}${R}SlewControlRBV"
